table {
    border-collapse: collapse;
    flex-grow: 1;
}

tr {
    display: flex;
    align-items: center;
    padding-left: 4px;
    padding-right: 4px;
}





.dtable-panel {
    display: flex;
    flex-grow: 1;
    overflow: hidden;

    background-color: #1A2838;

    border: solid #CCCCCC 3px;
    border-radius: 20px;
    
    z-index: 1;
}

.panel-content {
    display: flex;
    flex-direction: column;

    width: 100%;
}

.panel-title {
    color: #CCCCCC;

    text-align: center;
    font-size: 20px;
    margin-top: 8px;
    margin-bottom: 4px;
}

.panel-title-text {
    margin-top: 6px;
    margin-bottom: 4px;
}

.panel-btn {
    width: 24px;
    height: 24px;

    cursor: pointer;
}

.dtable-row:hover {
    opacity: 0.8;
}
.dtable-row-category {
    background-color: #A9014B;
    color: #EEEEEE;

    border-top: solid #CCCCCC 2px;
    border-bottom: solid #CCCCCC 2px;

    margin-top: 4px;
}
.dtable-row-record {
    background-color: #1A2838;
    color: #CCCCCC;
}
.dtable-row-record-alt {
    background-color: #2C3E50;
}

.dtable-col-text {
    flex-grow: 1;
}
.dtable-col-text-content {
    max-width: calc(100vw - 125px);
    /* MAX-WIDTH COMPUTATION:
    .records-container width = 100vw - 10px (padding-left) - 10px (padding-right)   --> container size
    .panel-btn width = 12px + 2px (margin-left) + 2px (margin-right)                --> x 5 buttons
    .dtable-panel border = 3px (border-right) + 3px (border-left)                   --> x 1
    tr padding = 4px (padding-right) + 4px (padding-left)                           --> x 1
    TOTAL = 114px
    + security margin (11px) because 114px is insufficient for small screens        = 125px */

    white-space: nowrap;       /* Disable line break */
    overflow: hidden;          /* Hide overflowing content */
    text-overflow: ellipsis;   /* Add suspension points (...) at the end */
}
.dtable-col-text-category {
    padding-top: 6px;
    padding-bottom: 6px;
}
.dtable-col-text-record {
    padding-top: 3px;
    padding-bottom: 3px;
}
.dtable-col-btn {
    display:flex;
    align-items: center;
    justify-content: center;
}

.dtable-col-sub500 {
    width: 80px;
}
.dtable-col-sub250 {
    width: 40px;
}

.dtable-btn {
    width: 12px;                    /* alt: 18px */
    height: 12px;                   /* alt: 18px */

    margin-left: 2px;               /* alt: 4px */
    margin-right: 2px;              /* alt: 4px */

    cursor: pointer;
}
/* .dtable-btn-big {
    width: 24px;
    height: 24px;
} */
